# HealthResource

Canonical page: https://docs.ovok.com/java-sdk/reference/health-resource

```java
public final class HealthResource
```

Checks API health. Get it from [`Ovok.health()`](/java-sdk/reference/ovok#health).

## Methods [#methods]

### check [#check]

```java
public JsonNode check() throws IOException, InterruptedException
```

Checks API health without credentials (`GET /healthcheck`).

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

```java
public JsonNode check(RequestOptions options) throws IOException, InterruptedException
```

Checks API health without credentials (`GET /healthcheck`).

**Parameters:**

- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
